Grid++Report 报表插件浏览器兼容性

报表插件浏览器兼容性一览表

浏览器 兼容性 说明
微软IE(Internet Explorer) 支持 所有版本都支持,既支持32位版本,也支持64位版本
微软Edge 不支持 完全不支持
谷歌Chrome 不支持 从43版本起不支持
火狐Firefox 不支持 2017年起发布的版本不支持
360浏览器 支持 全面支持,极速与安全俩种都支持,在各种模式都支持。
QQ浏览器 支持 在各种模式都支持(测试版本9.6.2)
搜狗浏览器 支持 高速与兼容模式都支持
Opera 不支持 64位不支持
世界之窗7.0 不支持 其基于 Chromium 内核

总结

国产浏览器基本支持,64位的只支持IE,FireFox与Chrome的最新版不支持。不支持的浏览器是因为浏览器已经放弃支持NPAPI插件,浏览器禁用插件,肯定没法做到让报表插件在浏览器中运行。如果需要广泛的浏览器支持,应该采用锐浪HTML5报表并配合报表服务器,可以运行在所有支持HTML5的浏览器中,且能在移动平台与MAC系统下运行。

更多参考说明